# Landio Skeleton for Grav

![Landio](assets/readme_1.png)

Landio is a responsive HTML template, built on top of [Bootstrap 4](http://v4-alpha.getbootstrap.com/) and based on the [Land.io Sketch design](http://tympanus.net/codrops/2015/09/16/freebie-land-io-ui-kit-landing-page-design-sketch/) by [Peter Finlan](http://peterfinlan.com/). This template and the UI kit were coded by [Taty Grassini](http://tatygrassini.github.io/).

# Built on:

* Bootstrap 4
* Icomoon
* Power of GRAV

# Features:

* Admin plugin support with customizable user area
* VideoJS
* Testimonials layout
* HTML5 and CSS3
* Fully Responsive
* Attractive and modern design
* Various templates for presenting your content

## Basic Setup for a new Grav site

The simplest way to install Landio theme for Grav is to download and install the Landio Skeleton package:

1. [Download Landio Skeleton](http://getgrav.org/downloads/skeletons#extras)
2. Simply unzip the package into your web root folder.
3. Point your browser at the folder, job done!

**TIP:** Check out the [general Grav installation instructions](http://learn.getgrav.org/basics/installation) for more details on this process.

---

## Existing Grav site

It is possible to install just the theme, but page content will need to reference the [Landio theme](https://github.com/getgrav/grav-theme-landio)'s supported templates.  It is strongly advised to at least install the Landio Skeleton package to see the theme's capabilities in action.

To install  **just** the theme:

```
$ bin/gpm install landio
```

# Usage

To customize Land.io footer, header, topbar and social counts open [example configuration file](https://github.com/getgrav/grav-skeleton-landio-site/blob/develop/config/site.yaml) from Land.io skeleton. You can customize each section to fit your needs.

# Credits

*   [Bootstrap](http://getbootstrap.com/)
*   [Icomoon](https://icomoon.io/)
*   [UI Faces](http://uifaces.com/)
*   [Quotes on Design](http://quotesondesign.com/)
*   [Unsplash](https://unsplash.com/)
*   [Video JS](http://videojs.com/)
*   [Vimeo jQuery API](https://github.com/jrue/Vimeo-jQuery-API)
*   [Chart JS](http://www.chartjs.org/)
*   [Waypoints](https://github.com/imakewebthings/waypoints)
*   [Animate.css](https://daneden.github.io/animate.css/)

### Misc

Follow Pete: [Twitter](https://twitter.com/peterfinlan), [Dribbble](http://www.dribbble.com/peterfinlan)

Follow Taty: [Twitter](https://twitter.com/tatygrassini), [GitHub](https://github.com/tatygrassini)

Follow Codrops: [Twitter](http://www.twitter.com/codrops), [Facebook](http://www.facebook.com/pages/Codrops/159107397912), [Google+](https://plus.google.com/101095823814290637419), [GitHub](https://github.com/codrops), [Pinterest](http://www.pinterest.com/codrops/)
